GET api/Student/GetRptLevelStudentwiseBeyondBasic/{userid}/{role}/{pgid}?whr={whr}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userid | string |
Required |
|
| role | string |
Required |
|
| pgid | string |
Required |
|
| whr | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of GetRptLevelStudentwiseBeyondBasic_Result| Name | Description | Type | Additional information |
|---|---|---|---|
| state | string |
None. |
|
| city | string |
None. |
|
| partnerid | string |
None. |
|
| partnername | string |
None. |
|
| teamleaderid | string |
None. |
|
| tlname | string |
None. |
|
| centid | string |
None. |
|
| centname | string |
None. |
|
| schoolid | string |
None. |
|
| schoolname | string |
None. |
|
| studentid | string |
None. |
|
| studname | string |
None. |
|
| standard | string |
None. |
|
| division | string |
None. |
|
| batchid | string |
None. |
|
| rollno | integer |
None. |
|
| examtype | string |
None. |
|
| zeroLevelC1 | integer |
None. |
|
| BeginnerC1 | integer |
None. |
|
| BasicC1 | integer |
None. |
|
| IntermediateC1 | integer |
None. |
|
| AdvanceC1 | integer |
None. |
|
| zeroLevelC2 | integer |
None. |
|
| BeginnerC2 | integer |
None. |
|
| BasicC2 | integer |
None. |
|
| IntermediateC2 | integer |
None. |
|
| AdvanceC2 | integer |
None. |
|
| zeroLevelC3 | integer |
None. |
|
| BeginnerC3 | integer |
None. |
|
| BasicC3 | integer |
None. |
|
| IntermediateC3 | integer |
None. |
|
| AdvanceC3 | integer |
None. |
|
| zeroLevelC4 | integer |
None. |
|
| BeginnerC4 | integer |
None. |
|
| BasicC4 | integer |
None. |
|
| IntermediateC4 | integer |
None. |
|
| AdvanceC4 | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"state": "sample string 1",
"city": "sample string 2",
"partnerid": "sample string 3",
"partnername": "sample string 4",
"teamleaderid": "sample string 5",
"tlname": "sample string 6",
"centid": "sample string 7",
"centname": "sample string 8",
"schoolid": "sample string 9",
"schoolname": "sample string 10",
"studentid": "sample string 11",
"studname": "sample string 12",
"standard": "sample string 13",
"division": "sample string 14",
"batchid": "sample string 15",
"rollno": 1,
"examtype": "sample string 16",
"zeroLevelC1": 17,
"BeginnerC1": 18,
"BasicC1": 19,
"IntermediateC1": 20,
"AdvanceC1": 21,
"zeroLevelC2": 22,
"BeginnerC2": 23,
"BasicC2": 24,
"IntermediateC2": 25,
"AdvanceC2": 26,
"zeroLevelC3": 27,
"BeginnerC3": 28,
"BasicC3": 29,
"IntermediateC3": 30,
"AdvanceC3": 31,
"zeroLevelC4": 32,
"BeginnerC4": 33,
"BasicC4": 34,
"IntermediateC4": 35,
"AdvanceC4": 36
},
{
"state": "sample string 1",
"city": "sample string 2",
"partnerid": "sample string 3",
"partnername": "sample string 4",
"teamleaderid": "sample string 5",
"tlname": "sample string 6",
"centid": "sample string 7",
"centname": "sample string 8",
"schoolid": "sample string 9",
"schoolname": "sample string 10",
"studentid": "sample string 11",
"studname": "sample string 12",
"standard": "sample string 13",
"division": "sample string 14",
"batchid": "sample string 15",
"rollno": 1,
"examtype": "sample string 16",
"zeroLevelC1": 17,
"BeginnerC1": 18,
"BasicC1": 19,
"IntermediateC1": 20,
"AdvanceC1": 21,
"zeroLevelC2": 22,
"BeginnerC2": 23,
"BasicC2": 24,
"IntermediateC2": 25,
"AdvanceC2": 26,
"zeroLevelC3": 27,
"BeginnerC3": 28,
"BasicC3": 29,
"IntermediateC3": 30,
"AdvanceC3": 31,
"zeroLevelC4": 32,
"BeginnerC4": 33,
"BasicC4": 34,
"IntermediateC4": 35,
"AdvanceC4": 36
}
]
application/xml, text/xml
Sample:
<ArrayOfGetRptLevelStudentwiseBeyondBasic_Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/JankariPortalPIFAPI.Models">
<GetRptLevelStudentwiseBeyondBasic_Result>
<AdvanceC1>21</AdvanceC1>
<AdvanceC2>26</AdvanceC2>
<AdvanceC3>31</AdvanceC3>
<AdvanceC4>36</AdvanceC4>
<BasicC1>19</BasicC1>
<BasicC2>24</BasicC2>
<BasicC3>29</BasicC3>
<BasicC4>34</BasicC4>
<BeginnerC1>18</BeginnerC1>
<BeginnerC2>23</BeginnerC2>
<BeginnerC3>28</BeginnerC3>
<BeginnerC4>33</BeginnerC4>
<IntermediateC1>20</IntermediateC1>
<IntermediateC2>25</IntermediateC2>
<IntermediateC3>30</IntermediateC3>
<IntermediateC4>35</IntermediateC4>
<batchid>sample string 15</batchid>
<centid>sample string 7</centid>
<centname>sample string 8</centname>
<city>sample string 2</city>
<division>sample string 14</division>
<examtype>sample string 16</examtype>
<partnerid>sample string 3</partnerid>
<partnername>sample string 4</partnername>
<rollno>1</rollno>
<schoolid>sample string 9</schoolid>
<schoolname>sample string 10</schoolname>
<standard>sample string 13</standard>
<state>sample string 1</state>
<studentid>sample string 11</studentid>
<studname>sample string 12</studname>
<teamleaderid>sample string 5</teamleaderid>
<tlname>sample string 6</tlname>
<zeroLevelC1>17</zeroLevelC1>
<zeroLevelC2>22</zeroLevelC2>
<zeroLevelC3>27</zeroLevelC3>
<zeroLevelC4>32</zeroLevelC4>
</GetRptLevelStudentwiseBeyondBasic_Result>
<GetRptLevelStudentwiseBeyondBasic_Result>
<AdvanceC1>21</AdvanceC1>
<AdvanceC2>26</AdvanceC2>
<AdvanceC3>31</AdvanceC3>
<AdvanceC4>36</AdvanceC4>
<BasicC1>19</BasicC1>
<BasicC2>24</BasicC2>
<BasicC3>29</BasicC3>
<BasicC4>34</BasicC4>
<BeginnerC1>18</BeginnerC1>
<BeginnerC2>23</BeginnerC2>
<BeginnerC3>28</BeginnerC3>
<BeginnerC4>33</BeginnerC4>
<IntermediateC1>20</IntermediateC1>
<IntermediateC2>25</IntermediateC2>
<IntermediateC3>30</IntermediateC3>
<IntermediateC4>35</IntermediateC4>
<batchid>sample string 15</batchid>
<centid>sample string 7</centid>
<centname>sample string 8</centname>
<city>sample string 2</city>
<division>sample string 14</division>
<examtype>sample string 16</examtype>
<partnerid>sample string 3</partnerid>
<partnername>sample string 4</partnername>
<rollno>1</rollno>
<schoolid>sample string 9</schoolid>
<schoolname>sample string 10</schoolname>
<standard>sample string 13</standard>
<state>sample string 1</state>
<studentid>sample string 11</studentid>
<studname>sample string 12</studname>
<teamleaderid>sample string 5</teamleaderid>
<tlname>sample string 6</tlname>
<zeroLevelC1>17</zeroLevelC1>
<zeroLevelC2>22</zeroLevelC2>
<zeroLevelC3>27</zeroLevelC3>
<zeroLevelC4>32</zeroLevelC4>
</GetRptLevelStudentwiseBeyondBasic_Result>
</ArrayOfGetRptLevelStudentwiseBeyondBasic_Result>